Page MenuHomePhabricator

urlutil: add a `copy` method to `path
ClosedPublic

Authored by marmoute on Apr 15 2021, 8:03 PM.

Details

Summary

This will be useful when inheriting from multiple path at the same time.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 15 2021, 8:03 PM
baymax updated this revision to Diff 27014.Apr 17 2021, 7:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Apr 20 2021, 11:27 AM
This revision is now accepted and ready to land.Apr 20 2021, 11:27 AM
baymax updated this revision to Diff 27205.Apr 29 2021, 1:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27233.Apr 30 2021, 8:25 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27417.May 3 2021, 9:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit added a subscriber: pulkit.May 6 2021, 3:09 PM
pulkit added inline comments.
mercurial/utils/urlutil.py
722

Hm, can we prevent this hack somehow? Having an empty argument seems like one option to me.

marmoute added inline comments.May 7 2021, 2:28 AM
mercurial/utils/urlutil.py
722

I am not sure what you suggest here. Can you elaborate ?

(not sure about what part you find hacky either)

pulkit accepted this revision.May 10 2021, 3:19 PM
This revision was automatically updated to reflect the committed changes.